Summary:	Disk management application
Summary(pl.UTF-8):	Aplikacja do zarządzania dyskami
Name:		gnome-disk-utility
Version:	3.24.1
Release:	1
License:	LGPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-disk-utility/3.24/%{name}-%{version}.tar.xz
# Source0-md5:	42c24b84d657c8828023740131bcd36e
BuildRequires:	appstream-glib-devel
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.11
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	glib2-devel >= 1:2.32.0
BuildRequires:	gnome-settings-daemon-devel >= 3.8
BuildRequires:	gtk+3-devel >= 3.16.0
BuildRequires:	libcanberra-gtk3-devel >= 0.1
BuildRequires:	libdvdread-devel >= 4.2.0
BuildRequires:	libnotify-devel >= 0.7
BuildRequires:	libpwquality-devel >= 1.0.0
BuildRequires:	libsecret-devel >= 0.7
BuildRequires:	libtool >= 2:2.2
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	systemd-devel >= 1:209
BuildRequires:	tar >= 1:1.22
BuildRequires:	udisks2-devel >= 2.1.1
BuildRequires:	xz
BuildRequires:	xz-devel >= 1:5.0.5
Requires(post,postun):	glib2 >= 1:2.32.0
Requires(post,postun):	gtk-update-icon-cache
Requires:	glib2 >= 1:2.32.0
Requires:	gnome-settings-daemon >= 3.8
Requires:	gnome-themes-standard
Requires:	gtk+3 >= 3.16.0
Requires:	hicolor-icon-theme
Requires:	libdvdread >= 4.2.0
Requires:	libnotify >= 0.7
Requires:	libpwquality >= 1.0.0
Requires:	libsecret >= 0.7
Requires:	udisks2 >= 2.1.1
Requires:	xz-libs >= 1:5.0.5
Suggests:	openssh-gnome-askpass
Obsoletes:	gnome-disk-utility-apidocs
Obsoletes:	gnome-disk-utility-devel
Obsoletes:	gnome-disk-utility-libs
Obsoletes:	gnome-disk-utility-static
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the Palimpsest disk management application.
Palimpsest supports partitioning, file system creation, encryption,
RAID, SMART monitoring, etc.

%description -l pl.UTF-8
Ten pakiet zawiera aplikację do zarządzania dyskami Palimpsest.
Obsługuje ona partycjonowanie, tworzenie systemów plików, szyfrowanie,
RAID, monitorowanie SMART itp.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang gnome-disk-utility

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_icon_cache hicolor
%glib_compile_schemas

%files -f gnome-disk-utility.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%attr(755,root,root) %{_bindir}/gnome-disk-image-mounter
%attr(755,root,root) %{_bindir}/gnome-disks
%attr(755,root,root) %{_libdir}/gsd-disk-utility-notify
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.DiskUtilityNotify.desktop
%{_desktopdir}/gnome-disk-image-mounter.desktop
%{_desktopdir}/gnome-disk-image-writer.desktop
%{_desktopdir}/org.gnome.DiskUtility.desktop
%{_datadir}/appdata/org.gnome.DiskUtility.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.DiskUtility.service
%{_datadir}/glib-2.0/schemas/org.gnome.Disks.gschema.xml
%{_iconsdir}/hicolor/*x*/apps/gnome-disks.png
%{_iconsdir}/hicolor/scalable/apps/gnome-disks-state-standby-symbolic.svg
%{_iconsdir}/hicolor/scalable/apps/gnome-disks-symbolic.svg
%{_mandir}/man1/gnome-disk-image-mounter.1*
%{_mandir}/man1/gnome-disks.1*
%changelog
* Fri May 05 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-disk-utility.git;a=log;h=master

* Fri May 05 2017 Marcin Banasiak <marcin.banasiak@gmail.com> b43c5bf
- Update to 3.24.1

* Mon Apr 24 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 66b580e
- Update to 3.24.0

* Fri Nov 11 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 543a8ab
- Update to 3.22.1

* Mon Sep 19 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 14f285e
- Update to 3.22.0

* Sun May 22 2016 Jakub Bogusz <qboosh@pld-linux.org> 666a41c
- updated to 3.20.2

* Mon Mar 28 2016 Marcin Banasiak <marcin.banasiak@gmail.com> f2ce836
- Update to 3.20.0

* Sat Nov 28 2015 Jakub Bogusz <qboosh@pld-linux.org> 2f302f5
- updated to 3.18.3.1

* Sun Nov 08 2015 Jakub Bogusz <qboosh@pld-linux.org> d6323f3
- updated to 3.18.2

* Sat Oct 17 2015 Jakub Bogusz <qboosh@pld-linux.org> 4a4300c
- updated to 3.18.1

* Wed Sep 30 2015 Łukasz Kieś <kiesiu@pld-linux.org> 5712b9f
- updated to 3.18.0

* Thu May 28 2015 Jakub Bogusz <qboosh@pld-linux.org> f351b7a
- updated to 3.16.2

* Sun May 24 2015 Jakub Bogusz <qboosh@pld-linux.org> 0fd425e
- updated to 3.16.1

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> 926b7bd
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 5b21a16
- updated gettext BR

* Wed Dec 03 2014 Jakub Bogusz <qboosh@pld-linux.org> 5770aeb
- more versioned install time dependencies

* Tue Dec 02 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 039fa4a
- Update to 3.14.0

* Sat Apr 19 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 1603d0a
- Update to 3.12.1

* Sun Mar 30 2014 Jakub Bogusz <qboosh@pld-linux.org> cf0324a
- updated to 3.12.0

* Wed Oct 02 2013 Jakub Bogusz <qboosh@pld-linux.org> e1d0ff3
- completed dependencies, don't build static plugins

* Sun Sep 29 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 9f05583
- Update to 3.10.0

